GIT-UNPACK-OBJECTS(1)

NAME
git-unpack-objects - Unpack objects from a packed archive

SYNOPSIS
git-unpack-objects [-n] [-q] <pack-file.sp

DESCRIPTION
Read a packed archive (.pack) from the standard input, expanding the objects contained within and writing them into the repository in "loose" (one object per file) format..sp Objects that already exist in the repository will not be unpacked from the pack-file. Therefore, nothing will be unpacked if you use this command on a pack-file that exists within the target repository..sp Please see the git-repack documentation for options to generate new packs and replace existing ones..sp

OPTIONS

-n  Only list the objects that would be unpacked, don't actually unpack them.

-q  The command usually shows percentage progress. This flag suppresses it.

AUTHOR
Written by Linus Torvalds <torvalds@osdl.org>.sp

DOCUMENTATION
Documentation by Junio C Hamano.sp

GIT
Part of the git(7) suite.sp